/*Pantalla de carga*/
    body.loading {
      overflow: hidden;
    }

    #loader {
      position: fixed;
      top: 0;
      left: 0;
      width: 100vw;
      height: 100vh;
      display: flex;
      justify-content: center;
      align-items: center;
      z-index: 9999;
      background-color: var(--loader-bg);
    } 

/*Estilo del icono cancion*/

#cancion{
   position:fixed;
   z-index: 9998;
    right:0;
    bottom:0;
    margin-right: 2px;
    margin-bottom: 2px;
    border-radius: 50%;
    border-style: none;
    background-color: var(--cancion-bg);
}

lord-icon {
  --lord-icon-primary: var(--icono-color);
  --lord-icon-secondary: var(--icono-color);
  width: 90px;
  height: 90px;
  margin: auto;
}

.custom-container{
  position: relative;
  max-width: 768px;
  margin: auto;
  padding: 60px 15px;
}

body{
  background: var(--bg);
  color:var(--text);
  text-align: center;
}

main, #frase, .frase, #asistencia{
  display: grid;
  place-items: center;
}

main{
  min-height: 100dvh;
  max-width: 550px;
  margin: auto;
}

.main h1{
  font-size:var(--name-size) ;
}

.icono-bg{
  background-color: var(--icono-bg);
  box-shadow: var(--box-shadow);
  width: 120px;
  height: 120px;
  padding: 10px;
  margin: auto;
  margin-bottom: 20px;
  margin-top: 30px;
  border-radius: 50%;
}

/*altura secciones*/
#frase{
  min-height: 60dvh;
}
/*Boton*/
.boton{
   width: 250px;
   height: 50px;
   padding: 5px;
   margin: auto;
   background-color:var(--btn-bg);
}

.boton.sm{
  width: 180px;
}

.boton.promo{
  line-height: 1;
}

.boton:hover{
    transform: scale(1.05);
    transition: all .2s ease-in-out;
}

.boton a, .boton p{
   text-decoration: none;
}

.boton a:hover{
   text-decoration: none;
}

.boton a, .boton p{
  color: var(--btn-text);
}

/*Countdown*/
#countdown{
  background-color: var(--countdown-bg);
  color: var(--countdown-text);
}
span{
  font-size: var(--timer-fontsize);
}

/*Galeria*/
.scroll-container {
  background-color: rgba(0, 0, 0, 0);
  overflow: auto;
  white-space: nowrap;
}

div.scroll-container img {
   max-width: 300px;
   height: auto;
   margin: 5px;
   box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
   border-radius: 5px;
}

/*Accordion*/
.accordion{
  --bs-accordion-bg:var(--accordion-bg);
  --bs-accordion-color:var(--accordion-text);
  --bs-accordion-btn-bg: var(--accordion-btn-bg);
  --bs-accordion-btn-color:  var(--accordion-btn-text);
}

.accordion-button{
  text-transform: uppercase;
  font-weight: 700;
}

.accordion-button:not(.collapsed) {
    background-color: var(--accordion-btn-bg);
    color: var(--accordion-btn-text);
    box-shadow: none;
}

.accordion-button:focus {
    box-shadow: none;
}

/*Divider & Deco*/
.divider img{
  max-width: 300px;
  margin: auto;
}

.divider-full img{
  width: 100%;
  margin: auto;
}

.deco-xl img{
  width: 220px;
  margin: auto;
}

.deco-sm img{
  width: 150px;
  height: auto;
  margin: auto;
}

.deco-xs img{
  width: 80px;
  height: auto;
  margin: auto;
}

/*Scrollbar*/
::-webkit-scrollbar {
  height: 10px;
}

::-webkit-scrollbar-track {
  background: none;
}

::-webkit-scrollbar-thumb, ::-webkit-scrollbar-thumb:hover {
  border-radius: 8px;
  background-color: var('--scrollbar-color');
}

button{
  color: var(--btn-text);
}

/*Footer*/
footer{
  box-shadow: var(--box-shadow);
  background-color: var(--footer-bg);
}

footer img{
  width: 300px;
  height: auto;
}


    